org.apache.axiom.om.util

## Class CopyUtils

- java.lang.Object
- - org.apache.axiom.om.util.CopyUtils

-     public class CopyUtils
      extends Object

  CopyUtils provides static utility methods that are useful for creating a copy of an OM/SOAPEnvelope tree. During the expansion, the Source tree retains its shape (OMSourcedElement nodes are not expanded). The Target tree has nodes that retain the class identity of the source node. For example, a SOAPFault in the source tree will have a SOAPFault in the target tree.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SOAPEnvelope` | `copy(SOAPEnvelope sourceEnv)` Deprecated. This method has the same effect as calling `OMInformationItem.clone(OMCloneOptions)` on the source `SOAPEnvelope` with the following options enabled: `OMCloneOptions.setFetchDataHandlers(boolean)` `OMCloneOptions.setPreserveModel(boolean)` `OMCloneOptions.setCopyOMDataSources(boolean)` Instead of using this method, application code should use `OMInformationItem.clone(OMCloneOptions)` directly and fine tune the options for the particular use case.
    `static void` | `reader2writer(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)` Simple utility that takes an XMLStreamReader and writes it to an XMLStreamWriter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### copy

          public static SOAPEnvelope copy(SOAPEnvelope sourceEnv)

      Deprecated. This method has the same effect as calling `OMInformationItem.clone(OMCloneOptions)` on the source `SOAPEnvelope` with the following options enabled:
      - `OMCloneOptions.setFetchDataHandlers(boolean)`
      - `OMCloneOptions.setPreserveModel(boolean)`
      - `OMCloneOptions.setCopyOMDataSources(boolean)`
      Instead of using this method, application code should use `OMInformationItem.clone(OMCloneOptions)` directly and fine tune the options for the particular use case.

    - #### reader2writer

          public static void reader2writer(javax.xml.stream.XMLStreamReader reader,
                                           javax.xml.stream.XMLStreamWriter writer)
                                    throws javax.xml.stream.XMLStreamException

      Simple utility that takes an XMLStreamReader and writes it to an XMLStreamWriter
      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

Copyright © The Apache Software Foundation. All Rights Reserved.